#pragma once

#include "TiDialog.h"

class TiTestDialog : public TiDialog
{
public:
  TiTestDialog( TiWindow* pParent, TiUI* pUI );
  virtual ~TiTestDialog(void);

  virtual bool        ProcessButtonDown( int32 DeviceId, int32 ButtonId );
  virtual bool        ProcessButtonUp( int32 DeviceId, int32 ButtonId );
  virtual bool        ProcessKeyDown( int32 KeyCode ) { return  false; }
  virtual bool        ProcessKeyUp( int32 KeyCode ) { return  false; }

private:
  int mDown;
};
